Skip to main content
`Ctrl`+`K`

# DMSNESGetJacobianLocal

the local Jacobian evaluation function set with `DMSNESSetJacobianLocal()`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSNESGetJacobianLocal(DM dm, PetscErrorCode (**func)(DM, Vec, Mat, Mat, void *), void **ctx)

Logically Collective

## Input Parameter

- dm - `DM` with the associated callback

## Output Parameters

- func - local Jacobian evaluation

- ctx - context for local Jacobian evaluation

## See Also

SNES: Nonlinear Solvers, `DMSNESSetJacobianLocal()`, `DMSNESSetJacobian()`

## Level

beginner

## Location

src/snes/utils/dmlocalsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages